/**
 * @param {import('ipfs-core-utils/multicodecs').Multicodecs} codecs
 * @param {import('../types').Options} config
 */
export function createObject(codecs: import('ipfs-core-utils/multicodecs').Multicodecs, config: import('../types').Options): {
    data: (cid: import("multiformats/cid.js").CID, options?: (import("ipfs-core-types").AbortOptions & import("ipfs-core-types/src/utils.js").PreloadOptions & import("../types").HTTPClientExtraOptions) | undefined) => Promise<Uint8Array>;
    get: (cid: import("multiformats/cid.js").CID, options?: (import("ipfs-core-types").AbortOptions & import("ipfs-core-types/src/utils.js").PreloadOptions & import("../types").HTTPClientExtraOptions) | undefined) => Promise<import("@ipld/dag-pb/src/interface.js").PBNode>;
    links: (cid: import("multiformats/cid.js").CID, options?: (import("ipfs-core-types").AbortOptions & import("ipfs-core-types/src/utils.js").PreloadOptions & import("../types").HTTPClientExtraOptions) | undefined) => Promise<import("@ipld/dag-pb/src/interface.js").PBLink[]>;
    new: (options?: (import("ipfs-core-types/src/object/index.js").NewObjectOptions & import("../types").HTTPClientExtraOptions) | undefined) => Promise<import("multiformats/cid.js").CID>;
    put: (obj: import("@ipld/dag-pb/src/interface.js").PBNode, options?: (import("ipfs-core-types/src/object/index.js").PutOptions & import("../types").HTTPClientExtraOptions) | undefined) => Promise<import("multiformats/cid.js").CID>;
    stat: (cid: import("multiformats/cid.js").CID, options?: (import("ipfs-core-types").AbortOptions & import("ipfs-core-types/src/utils.js").PreloadOptions & import("../types").HTTPClientExtraOptions) | undefined) => Promise<import("ipfs-core-types/src/object/index.js").StatResult>;
    patch: {
        addLink: (cid: import("multiformats/cid.js").CID, dLink: import("@ipld/dag-pb/src/interface.js").PBLink, options?: (import("ipfs-core-types").AbortOptions & import("../types").HTTPClientExtraOptions) | undefined) => Promise<import("multiformats/cid.js").CID>;
        appendData: (cid: import("multiformats/cid.js").CID, data: Uint8Array, options?: (import("ipfs-core-types").AbortOptions & import("../types").HTTPClientExtraOptions) | undefined) => Promise<import("multiformats/cid.js").CID>;
        rmLink: (cid: import("multiformats/cid.js").CID, dLink: string | import("@ipld/dag-pb/src/interface.js").PBLink, options?: (import("ipfs-core-types").AbortOptions & import("../types").HTTPClientExtraOptions) | undefined) => Promise<import("multiformats/cid.js").CID>;
        setData: (cid: import("multiformats/cid.js").CID, data: Uint8Array, options?: (import("ipfs-core-types").AbortOptions & import("../types").HTTPClientExtraOptions) | undefined) => Promise<import("multiformats/cid.js").CID>;
    };
};
//# sourceMappingURL=index.d.ts.map